import { stringify } from 'qs';
import { request } from 'umi';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/get?${stringify(params)}`);
}


export async function insertForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForProTenant(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/protenant/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}
